%define module editables

Name:           python-%{module}
Version:        0.3
Release:        %mkrel 1
Summary:        Editable installations
Group:          Development/Python
License:        MIT
URL:            https://github.com/pfmoore/editables
# PyPI source distributions lack tests; use the GitHub archive
Source0:        %{url}/archive/%{version}/editables-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-wheel


%description
A Python library for creating “editable wheels”

This library supports the building of wheels which, when installed, will expose
packages in a local directory on sys.path in “editable mode”. In other words,
changes to the package source will be reflected in the package visible to
Python, without needing a reinstall.


%package -n python3-editables
Summary:        %{summary}

%description -n python3-editables
A Python library for creating “editable wheels”

This library supports the building of wheels which, when installed, will expose
packages in a local directory on sys.path in “editable mode”. In other words,
changes to the package source will be reflected in the package visible to
Python, without needing a reinstall.

%prep
%setup -qn editables-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files editables

%files -n python3-editables -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md

%changelog
* Fri Aug 19 2022 TerryN <terryn94 at gmail.com> 0.3-1pclos2022
- import for python 3.10
